## asn1c 0.9.28+dfsg

=== examples/sample.source.LDAP3/Makefile ===
ASN_MODULE_SOURCES=	\
	LDAPMessage.c	\
	MessageID.c	\
	LDAPString.c	\
	LDAPOID.c	\
	LDAPDN.c	\
	RelativeLDAPDN.c	\
	AttributeDescription.c	\
	AttributeValue.c	\
	AttributeValueAssertion.c	\
	AssertionValue.c	\
	PartialAttribute.c	\
	Attribute.c	\
	MatchingRuleId.c	\
	LDAPResult.c	\
	Referral.c	\
	URI.c	\
	Controls.c	\
	Control.c	\
	BindRequest.c	\
	AuthenticationChoice.c	\
	SaslCredentials.c	\
	BindResponse.c	\
	UnbindRequest.c	\
	SearchRequest.c	\
	AttributeSelection.c	\
	Filter.c	\
	SubstringFilter.c	\
	MatchingRuleAssertion.c	\
	SearchResultEntry.c	\
	PartialAttributeList.c	\
	SearchResultReference.c	\
	SearchResultDone.c	\
	ModifyRequest.c	\
	ModifyResponse.c	\
	AddRequest.c	\
	AttributeList.c	\
	AddResponse.c	\
	DelRequest.c	\
	DelResponse.c	\
	ModifyDNRequest.c	\
	ModifyDNResponse.c	\
	CompareRequest.c	\
	CompareResponse.c	\
	AbandonRequest.c	\
	ExtendedRequest.c	\
	ExtendedResponse.c	\
	IntermediateResponse.c

ASN_MODULE_HEADERS=	\
	LDAPMessage.h	\
	MessageID.h	\
	LDAPString.h	\
	LDAPOID.h	\
	LDAPDN.h	\
	RelativeLDAPDN.h	\
	AttributeDescription.h	\
	AttributeValue.h	\
	AttributeValueAssertion.h	\
	AssertionValue.h	\
	PartialAttribute.h	\
	Attribute.h	\
	MatchingRuleId.h	\
	LDAPResult.h	\
	Referral.h	\
	URI.h	\
	Controls.h	\
	Control.h	\
	BindRequest.h	\
	AuthenticationChoice.h	\
	SaslCredentials.h	\
	BindResponse.h	\
	UnbindRequest.h	\
	SearchRequest.h	\
	AttributeSelection.h	\
	Filter.h	\
	SubstringFilter.h	\
	MatchingRuleAssertion.h	\
	SearchResultEntry.h	\
	PartialAttributeList.h	\
	SearchResultReference.h	\
	SearchResultDone.h	\
	ModifyRequest.h	\
	ModifyResponse.h	\
	AddRequest.h	\
	AttributeList.h	\
	AddResponse.h	\
	DelRequest.h	\
	DelResponse.h	\
	ModifyDNRequest.h	\
	ModifyDNResponse.h	\
	CompareRequest.h	\
	CompareResponse.h	\
	AbandonRequest.h	\
	ExtendedRequest.h	\
	ExtendedResponse.h	\
	IntermediateResponse.h

ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_HEADERS+=NULL.h
ASN_MODULE_SOURCES+=NULL.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = ldap3dump
CFLAGS += -DASN_CONVERTER_TITLE="Lightweight Directory Access Protocol V3 decoder" -DHAVE_CONFIG_H -DJUNKTEST -DPDU=LDAPMessage -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: LDAPMessage.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=LDAPMessage -fcompound-names ../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1


LDAPMessage.c: ../sample.makefile.regen ../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1
	make regen-makefile
	@touch LDAPMessage.c
	make

regen-makefile:
	TITLE="Lightweight Directory Access Protocol V3 decoder" \
	ASN1CMDOPTS="-fcompound-names" \
	ASN1MODULES="../rfc4511-Lightweight-Directory-Access-Protocol-V3.asn1" \
	ASN1PDU=LDAPMessage \
	PROGNAME=ldap3dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-LDAPMessage-1.[db]er ; then \
	for f in sample-LDAPMessage-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-LDAPMessage-1.xer ; then \
	for f in sample-LDAPMessage-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-LDAPMessage-1-nopad.per ; then \
	for f in sample-LDAPMessage-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-LDAPMessage-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -p $$pdu -iper -oder $$f > ./.tmp.1.$$$$ || exit 3; \
	./${TARGET} -b $$b -p $$pdu -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 4; \
	./${TARGET} -b $$b -p $$pdu -ixer -oper ./.tmp.2.$$$$ > ./.tmp.1.$$$$ || exit 5; \
	diff $$f ./.tmp.1.$$$$ || exit 6; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iper -onull $$f || exit 7; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iper -onull $$f || exit 8; \
	done; done; fi

distclean: clean
	rm -f $(ASN_MODULE_SOURCES)
	rm -f $(ASN_MODULE_HEADERS)
	rm -f $(ASN_CONVERTER_SOURCES) $(ASN_CONVERTER_HEADERS)
	rm -f Makefile.am.sample

=== examples/sample.source.MEGACO/Makefile ===
ASN_MODULE_SOURCES=	\
	MegacoMessage.c	\
	AuthenticationHeader.c	\
	SecurityParmIndex.c	\
	SequenceNum.c	\
	AuthData.c	\
	Message.c	\
	MId.c	\
	DomainName.c	\
	IP4Address.c	\
	IP6Address.c	\
	PathName.c	\
	Transaction.c	\
	TransactionId.c	\
	TransactionRequest.c	\
	TransactionPending.c	\
	TransactionReply.c	\
	TransactionResponseAck.c	\
	TransactionAck.c	\
	ErrorDescriptor.c	\
	ErrorCode.c	\
	ErrorText.c	\
	ContextID.c	\
	ActionRequest.c	\
	ActionReply.c	\
	ContextRequest.c	\
	ContextAttrAuditRequest.c	\
	CommandRequest.c	\
	Command.c	\
	CommandReply.c	\
	TopologyRequest.c	\
	AmmRequest.c	\
	AmmDescriptor.c	\
	AmmsReply.c	\
	SubtractRequest.c	\
	AuditRequest.c	\
	AuditReply.c	\
	AuditResult.c	\
	TerminationAudit.c	\
	AuditReturnParameter.c	\
	AuditDescriptor.c	\
	NotifyRequest.c	\
	NotifyReply.c	\
	ObservedEventsDescriptor.c	\
	ObservedEvent.c	\
	EventName.c	\
	EventParameter.c	\
	ServiceChangeRequest.c	\
	ServiceChangeReply.c	\
	ServiceChangeResult.c	\
	WildcardField.c	\
	TerminationID.c	\
	TerminationIDList.c	\
	MediaDescriptor.c	\
	StreamDescriptor.c	\
	StreamParms.c	\
	LocalControlDescriptor.c	\
	StreamMode.c	\
	PropertyParm.c	\
	Name.c	\
	PkgdName.c	\
	Relation.c	\
	LocalRemoteDescriptor.c	\
	PropertyGroup.c	\
	TerminationStateDescriptor.c	\
	EventBufferControl.c	\
	ServiceState.c	\
	MuxDescriptor.c	\
	MuxType.c	\
	StreamID.c	\
	EventsDescriptor.c	\
	RequestedEvent.c	\
	RequestedActions.c	\
	EventDM.c	\
	SecondEventsDescriptor.c	\
	SecondRequestedEvent.c	\
	SecondRequestedActions.c	\
	EventBufferDescriptor.c	\
	EventSpec.c	\
	SignalsDescriptor.c	\
	SignalRequest.c	\
	SeqSigList.c	\
	Signal.c	\
	SignalType.c	\
	SignalName.c	\
	NotifyCompletion.c	\
	SigParameter.c	\
	RequestID.c	\
	ModemDescriptor.c	\
	ModemType.c	\
	DigitMapDescriptor.c	\
	DigitMapName.c	\
	DigitMapValue.c	\
	ServiceChangeParm.c	\
	ServiceChangeAddress.c	\
	ServiceChangeResParm.c	\
	ServiceChangeMethod.c	\
	ServiceChangeProfile.c	\
	PackagesDescriptor.c	\
	PackagesItem.c	\
	StatisticsDescriptor.c	\
	StatisticsParameter.c	\
	NonStandardData.c	\
	NonStandardIdentifier.c	\
	H221NonStandard.c	\
	TimeNotation.c	\
	Value.c

ASN_MODULE_HEADERS=	\
	MegacoMessage.h	\
	AuthenticationHeader.h	\
	SecurityParmIndex.h	\
	SequenceNum.h	\
	AuthData.h	\
	Message.h	\
	MId.h	\
	DomainName.h	\
	IP4Address.h	\
	IP6Address.h	\
	PathName.h	\
	Transaction.h	\
	TransactionId.h	\
	TransactionRequest.h	\
	TransactionPending.h	\
	TransactionReply.h	\
	TransactionResponseAck.h	\
	TransactionAck.h	\
	ErrorDescriptor.h	\
	ErrorCode.h	\
	ErrorText.h	\
	ContextID.h	\
	ActionRequest.h	\
	ActionReply.h	\
	ContextRequest.h	\
	ContextAttrAuditRequest.h	\
	CommandRequest.h	\
	Command.h	\
	CommandReply.h	\
	TopologyRequest.h	\
	AmmRequest.h	\
	AmmDescriptor.h	\
	AmmsReply.h	\
	SubtractRequest.h	\
	AuditRequest.h	\
	AuditReply.h	\
	AuditResult.h	\
	TerminationAudit.h	\
	AuditReturnParameter.h	\
	AuditDescriptor.h	\
	NotifyRequest.h	\
	NotifyReply.h	\
	ObservedEventsDescriptor.h	\
	ObservedEvent.h	\
	EventName.h	\
	EventParameter.h	\
	ServiceChangeRequest.h	\
	ServiceChangeReply.h	\
	ServiceChangeResult.h	\
	WildcardField.h	\
	TerminationID.h	\
	TerminationIDList.h	\
	MediaDescriptor.h	\
	StreamDescriptor.h	\
	StreamParms.h	\
	LocalControlDescriptor.h	\
	StreamMode.h	\
	PropertyParm.h	\
	Name.h	\
	PkgdName.h	\
	Relation.h	\
	LocalRemoteDescriptor.h	\
	PropertyGroup.h	\
	TerminationStateDescriptor.h	\
	EventBufferControl.h	\
	ServiceState.h	\
	MuxDescriptor.h	\
	MuxType.h	\
	StreamID.h	\
	EventsDescriptor.h	\
	RequestedEvent.h	\
	RequestedActions.h	\
	EventDM.h	\
	SecondEventsDescriptor.h	\
	SecondRequestedEvent.h	\
	SecondRequestedActions.h	\
	EventBufferDescriptor.h	\
	EventSpec.h	\
	SignalsDescriptor.h	\
	SignalRequest.h	\
	SeqSigList.h	\
	Signal.h	\
	SignalType.h	\
	SignalName.h	\
	NotifyCompletion.h	\
	SigParameter.h	\
	RequestID.h	\
	ModemDescriptor.h	\
	ModemType.h	\
	DigitMapDescriptor.h	\
	DigitMapName.h	\
	DigitMapValue.h	\
	ServiceChangeParm.h	\
	ServiceChangeAddress.h	\
	ServiceChangeResParm.h	\
	ServiceChangeMethod.h	\
	ServiceChangeProfile.h	\
	PackagesDescriptor.h	\
	PackagesItem.h	\
	StatisticsDescriptor.h	\
	StatisticsParameter.h	\
	NonStandardData.h	\
	NonStandardIdentifier.h	\
	H221NonStandard.h	\
	TimeNotation.h	\
	Value.h

ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_HEADERS+=NULL.h
ASN_MODULE_SOURCES+=NULL.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=OBJECT_IDENTIFIER.h
ASN_MODULE_SOURCES+=OBJECT_IDENTIFIER.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = megaco-dump
CFLAGS += -DHAVE_CONFIG_H -DJUNKTEST -DPDU=MegacoMessage -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: MegacoMessage.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=MegacoMessage -fcompound-names ../rfc3525-MEDIA-GATEWAY-CONTROL.asn1


MegacoMessage.c: ../sample.makefile.regen ../rfc3525-MEDIA-GATEWAY-CONTROL.asn1
	make regen-makefile
	@touch MegacoMessage.c
	make

regen-makefile:
	ASN1CMDOPTS="-fcompound-names" \
	ASN1MODULES="../rfc3525-MEDIA-GATEWAY-CONTROL.asn1" \
	ASN1PDU=MegacoMessage \
	PROGNAME=megaco-dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-MegacoMessage-1.[db]er ; then \
	for f in sample-MegacoMessage-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-MegacoMessage-1.xer ; then \
	for f in sample-MegacoMessage-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-MegacoMessage-1-nopad.per ; then \
	for f in sample-MegacoMessage-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-MegacoMessage-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -p $$pdu -iper -oder $$f > ./.tmp.1.$$$$ || exit 3; \
	./${TARGET} -b $$b -p $$pdu -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 4; \
	./${TARGET} -b $$b -p $$pdu -ixer -oper ./.tmp.2.$$$$ > ./.tmp.1.$$$$ || exit 5; \
	diff $$f ./.tmp.1.$$$$ || exit 6; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iper -onull $$f || exit 7; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iper -onull $$f || exit 8; \
	done; done; fi

distclean: clean
	rm -f $(ASN_MODULE_SOURCES)
	rm -f $(ASN_MODULE_HEADERS)
	rm -f $(ASN_CONVERTER_SOURCES) $(ASN_CONVERTER_HEADERS)
	rm -f Makefile.am.sample

=== examples/sample.source.PKIX1/Makefile ===
ASN_MODULE_SOURCES=	\
	Attribute.c	\
	AttributeType.c	\
	AttributeValue.c	\
	AttributeTypeAndValue.c	\
	X520name.c	\
	X520CommonName.c	\
	X520LocalityName.c	\
	X520StateOrProvinceName.c	\
	X520OrganizationName.c	\
	X520OrganizationalUnitName.c	\
	X520Title.c	\
	X520dnQualifier.c	\
	X520countryName.c	\
	X520SerialNumber.c	\
	X520Pseudonym.c	\
	DomainComponent.c	\
	EmailAddress.c	\
	Name.c	\
	RDNSequence.c	\
	DistinguishedName.c	\
	RelativeDistinguishedName.c	\
	DirectoryString.c	\
	Certificate.c	\
	TBSCertificate.c	\
	Version.c	\
	CertificateSerialNumber.c	\
	Validity.c	\
	Time.c	\
	UniqueIdentifier.c	\
	SubjectPublicKeyInfo.c	\
	Extensions.c	\
	Extension.c	\
	CertificateList.c	\
	TBSCertList.c	\
	AlgorithmIdentifier.c	\
	ORAddress.c	\
	BuiltInStandardAttributes.c	\
	CountryName.c	\
	AdministrationDomainName.c	\
	NetworkAddress.c	\
	X121Address.c	\
	TerminalIdentifier.c	\
	PrivateDomainName.c	\
	OrganizationName.c	\
	NumericUserIdentifier.c	\
	PersonalName.c	\
	OrganizationalUnitNames.c	\
	OrganizationalUnitName.c	\
	BuiltInDomainDefinedAttributes.c	\
	BuiltInDomainDefinedAttribute.c	\
	ExtensionAttributes.c	\
	ExtensionAttribute.c	\
	CommonName.c	\
	TeletexCommonName.c	\
	TeletexOrganizationName.c	\
	TeletexPersonalName.c	\
	TeletexOrganizationalUnitNames.c	\
	TeletexOrganizationalUnitName.c	\
	PDSName.c	\
	PhysicalDeliveryCountryName.c	\
	PostalCode.c	\
	PhysicalDeliveryOfficeName.c	\
	PhysicalDeliveryOfficeNumber.c	\
	ExtensionORAddressComponents.c	\
	PhysicalDeliveryPersonalName.c	\
	PhysicalDeliveryOrganizationName.c	\
	ExtensionPhysicalDeliveryAddressComponents.c	\
	UnformattedPostalAddress.c	\
	StreetAddress.c	\
	PostOfficeBoxAddress.c	\
	PosteRestanteAddress.c	\
	UniquePostalName.c	\
	LocalPostalAttributes.c	\
	PDSParameter.c	\
	ExtendedNetworkAddress.c	\
	PresentationAddress.c	\
	TerminalType.c	\
	TeletexDomainDefinedAttributes.c	\
	TeletexDomainDefinedAttribute.c	\
	AuthorityKeyIdentifier.c	\
	KeyIdentifier.c	\
	SubjectKeyIdentifier.c	\
	KeyUsage.c	\
	PrivateKeyUsagePeriod.c	\
	CertificatePolicies.c	\
	PolicyInformation.c	\
	CertPolicyId.c	\
	PolicyQualifierInfo.c	\
	PolicyQualifierId.c	\
	CPSuri.c	\
	UserNotice.c	\
	NoticeReference.c	\
	DisplayText.c	\
	PolicyMappings.c	\
	SubjectAltName.c	\
	GeneralNames.c	\
	GeneralName.c	\
	AnotherName.c	\
	EDIPartyName.c	\
	IssuerAltName.c	\
	SubjectDirectoryAttributes.c	\
	BasicConstraints.c	\
	NameConstraints.c	\
	GeneralSubtrees.c	\
	GeneralSubtree.c	\
	BaseDistance.c	\
	PolicyConstraints.c	\
	SkipCerts.c	\
	CRLDistributionPoints.c	\
	DistributionPoint.c	\
	DistributionPointName.c	\
	ReasonFlags.c	\
	ExtKeyUsageSyntax.c	\
	KeyPurposeId.c	\
	InhibitAnyPolicy.c	\
	FreshestCRL.c	\
	AuthorityInfoAccessSyntax.c	\
	AccessDescription.c	\
	SubjectInfoAccessSyntax.c	\
	CRLNumber.c	\
	IssuingDistributionPoint.c	\
	BaseCRLNumber.c	\
	CRLReason.c	\
	CertificateIssuer.c	\
	HoldInstructionCode.c	\
	InvalidityDate.c

ASN_MODULE_HEADERS=	\
	Attribute.h	\
	AttributeType.h	\
	AttributeValue.h	\
	AttributeTypeAndValue.h	\
	X520name.h	\
	X520CommonName.h	\
	X520LocalityName.h	\
	X520StateOrProvinceName.h	\
	X520OrganizationName.h	\
	X520OrganizationalUnitName.h	\
	X520Title.h	\
	X520dnQualifier.h	\
	X520countryName.h	\
	X520SerialNumber.h	\
	X520Pseudonym.h	\
	DomainComponent.h	\
	EmailAddress.h	\
	Name.h	\
	RDNSequence.h	\
	DistinguishedName.h	\
	RelativeDistinguishedName.h	\
	DirectoryString.h	\
	Certificate.h	\
	TBSCertificate.h	\
	Version.h	\
	CertificateSerialNumber.h	\
	Validity.h	\
	Time.h	\
	UniqueIdentifier.h	\
	SubjectPublicKeyInfo.h	\
	Extensions.h	\
	Extension.h	\
	CertificateList.h	\
	TBSCertList.h	\
	AlgorithmIdentifier.h	\
	ORAddress.h	\
	BuiltInStandardAttributes.h	\
	CountryName.h	\
	AdministrationDomainName.h	\
	NetworkAddress.h	\
	X121Address.h	\
	TerminalIdentifier.h	\
	PrivateDomainName.h	\
	OrganizationName.h	\
	NumericUserIdentifier.h	\
	PersonalName.h	\
	OrganizationalUnitNames.h	\
	OrganizationalUnitName.h	\
	BuiltInDomainDefinedAttributes.h	\
	BuiltInDomainDefinedAttribute.h	\
	ExtensionAttributes.h	\
	ExtensionAttribute.h	\
	CommonName.h	\
	TeletexCommonName.h	\
	TeletexOrganizationName.h	\
	TeletexPersonalName.h	\
	TeletexOrganizationalUnitNames.h	\
	TeletexOrganizationalUnitName.h	\
	PDSName.h	\
	PhysicalDeliveryCountryName.h	\
	PostalCode.h	\
	PhysicalDeliveryOfficeName.h	\
	PhysicalDeliveryOfficeNumber.h	\
	ExtensionORAddressComponents.h	\
	PhysicalDeliveryPersonalName.h	\
	PhysicalDeliveryOrganizationName.h	\
	ExtensionPhysicalDeliveryAddressComponents.h	\
	UnformattedPostalAddress.h	\
	StreetAddress.h	\
	PostOfficeBoxAddress.h	\
	PosteRestanteAddress.h	\
	UniquePostalName.h	\
	LocalPostalAttributes.h	\
	PDSParameter.h	\
	ExtendedNetworkAddress.h	\
	PresentationAddress.h	\
	TerminalType.h	\
	TeletexDomainDefinedAttributes.h	\
	TeletexDomainDefinedAttribute.h	\
	AuthorityKeyIdentifier.h	\
	KeyIdentifier.h	\
	SubjectKeyIdentifier.h	\
	KeyUsage.h	\
	PrivateKeyUsagePeriod.h	\
	CertificatePolicies.h	\
	PolicyInformation.h	\
	CertPolicyId.h	\
	PolicyQualifierInfo.h	\
	PolicyQualifierId.h	\
	CPSuri.h	\
	UserNotice.h	\
	NoticeReference.h	\
	DisplayText.h	\
	PolicyMappings.h	\
	SubjectAltName.h	\
	GeneralNames.h	\
	GeneralName.h	\
	AnotherName.h	\
	EDIPartyName.h	\
	IssuerAltName.h	\
	SubjectDirectoryAttributes.h	\
	BasicConstraints.h	\
	NameConstraints.h	\
	GeneralSubtrees.h	\
	GeneralSubtree.h	\
	BaseDistance.h	\
	PolicyConstraints.h	\
	SkipCerts.h	\
	CRLDistributionPoints.h	\
	DistributionPoint.h	\
	DistributionPointName.h	\
	ReasonFlags.h	\
	ExtKeyUsageSyntax.h	\
	KeyPurposeId.h	\
	InhibitAnyPolicy.h	\
	FreshestCRL.h	\
	AuthorityInfoAccessSyntax.h	\
	AccessDescription.h	\
	SubjectInfoAccessSyntax.h	\
	CRLNumber.h	\
	IssuingDistributionPoint.h	\
	BaseCRLNumber.h	\
	CRLReason.h	\
	CertificateIssuer.h	\
	HoldInstructionCode.h	\
	InvalidityDate.h

ASN_MODULE_HEADERS+=ANY.h
ASN_MODULE_SOURCES+=ANY.c
ASN_MODULE_HEADERS+=BMPString.h
ASN_MODULE_SOURCES+=BMPString.c
ASN_MODULE_HEADERS+=UTF8String.h
ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=GeneralizedTime.h
ASN_MODULE_SOURCES+=GeneralizedTime.c
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=NumericString.h
ASN_MODULE_SOURCES+=NumericString.c
ASN_MODULE_HEADERS+=OBJECT_IDENTIFIER.h
ASN_MODULE_SOURCES+=OBJECT_IDENTIFIER.c
ASN_MODULE_HEADERS+=PrintableString.h
ASN_MODULE_SOURCES+=PrintableString.c
ASN_MODULE_HEADERS+=TeletexString.h
ASN_MODULE_SOURCES+=TeletexString.c
ASN_MODULE_HEADERS+=UTCTime.h
ASN_MODULE_SOURCES+=UTCTime.c
ASN_MODULE_SOURCES+=UTF8String.c
ASN_MODULE_HEADERS+=UniversalString.h
ASN_MODULE_SOURCES+=UniversalString.c
ASN_MODULE_HEADERS+=VisibleString.h
ASN_MODULE_SOURCES+=VisibleString.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_HEADERS+=constr_SET.h
ASN_MODULE_SOURCES+=constr_SET.c
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = x509dump
CFLAGS += -DHAVE_CONFIG_H -DJUNKTEST -DPDU=Certificate -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: Certificate.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=Certificate ../rfc3280-PKIX1Explicit88.asn1 ../rfc3280-PKIX1Implicit88.asn1


Certificate.c: ../sample.makefile.regen ../rfc3280-*.asn1
	make regen-makefile
	@touch Certificate.c
	make

regen-makefile:
	ASN1CMDOPTS="" \
	ASN1MODULES="../rfc3280-*.asn1" \
	ASN1PDU=Certificate \
	PROGNAME=x509dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-Certificate-1.[db]er ; then \
	for f in sample-Certificate-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-Certificate-1.xer ; then \
	for f in sample-Certificate-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-Certificate-1-nopad.per ; then \
	for f in sample-Certificate-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-Certificate-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \

=== examples/sample.source.RRC/Makefile ===
ASN_MODULE_SOURCES=	\
	DL-DCCH-Message.c	\
	DL-DCCH-MessageType.c	\
	UL-DCCH-Message.c	\
	UL-DCCH-MessageType.c	\
	DL-CCCH-Message.c	\
	DL-CCCH-MessageType.c	\
	UL-CCCH-Message.c	\
	UL-CCCH-MessageType.c	\
	PCCH-Message.c	\
	PCCH-MessageType.c	\
	DL-SHCCH-Message.c	\
	DL-SHCCH-MessageType.c	\
	UL-SHCCH-Message.c	\
	UL-SHCCH-MessageType.c	\
	BCCH-FACH-Message.c	\
	BCCH-FACH-MessageType.c	\
	BCCH-BCH-Message.c	\
	MCCH-Message.c	\
	MCCH-MessageType.c	\
	MSCH-Message.c	\
	MSCH-MessageType.c	\
	ActiveSetUpdate.c	\
	ActiveSetUpdate-r3-IEs.c	\
	ActiveSetUpdate-v4b0ext-IEs.c	\
	ActiveSetUpdate-v590ext-IEs.c	\
	ActiveSetUpdate-v690ext-IEs.c	\
	ActiveSetUpdate-r6-IEs.c	\
	ActiveSetUpdateComplete.c	\
	ActiveSetUpdateFailure.c	\
	AssistanceDataDelivery.c	\
	AssistanceDataDelivery-r3-IEs.c	\
	AssistanceDataDelivery-v3a0ext.c	\
	AssistanceDataDelivery-v4b0ext-IEs.c	\
	CellChangeOrderFromUTRAN.c	\
	CellChangeOrderFromUTRAN-r3-IEs.c	\
	CellChangeOrderFromUTRAN-v590ext-IEs.c	\
	CellChangeOrderFromUTRANFailure.c	\
	CellChangeOrderFromUTRANFailure-r3-IEs.c	\
	CellUpdate.c	\
	CellUpdate-v590ext.c	\
	CellUpdate-v690ext-IEs.c	\
	CellUpdate-v7xyext-IEs.c	\
	CellUpdateConfirm.c	\
	CellUpdateConfirm-r3-IEs.c	\
	CellUpdateConfirm-v3a0ext.c	\
	CellUpdateConfirm-v4b0ext-IEs.c	\
	CellUpdateConfirm-v590ext-IEs.c	\
	CellUpdateConfirm-v5d0ext-IEs.c	\
	CellUpdateConfirm-r4-IEs.c	\
	CellUpdateConfirm-r5-IEs.c	\
	CellUpdateConfirm-r6-IEs.c	\
	CellUpdateConfirm-v690ext-IEs.c	\
	CellUpdateConfirm-r7-IEs.c	\
	CellUpdateConfirm-CCCH.c	\
	CounterCheck.c	\
	CounterCheck-r3-IEs.c	\
	CounterCheckResponse.c	\
	DownlinkDirectTransfer.c	\
	DownlinkDirectTransfer-r3-IEs.c	\
	HandoverToUTRANCommand.c	\
	HandoverToUTRANCommand-r3-IEs.c	\
	HandoverToUTRANCommand-r4-IEs.c	\
	HandoverToUTRANCommand-r5-IEs.c	\
	HandoverToUTRANCommand-r6-IEs.c	\
	HandoverToUTRANCommand-r7-IEs.c	\
	HandoverToUTRANComplete.c	\
	InitialDirectTransfer.c	\
	InitialDirectTransfer-v3a0ext.c	\
	InitialDirectTransfer-v590ext.c	\
	InitialDirectTransfer-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GSM.c	\
	HandoverFromUTRANCommand-GSM-r3-IEs.c	\
	HandoverFromUTRANCommand-GSM-r6-IEs.c	\
	HandoverFromUTRANCommand-GSM-v690ext-IEs.c	\
	HandoverFromUTRANCommand-GERANIu.c	\
	HandoverFromUTRANCommand-GERANIu-r5-IEs.c	\
	HandoverFromUTRANCommand-CDMA2000.c	\
	HandoverFromUTRANCommand-CDMA2000-r3-IEs.c	\
	HandoverFromUTRANFailure.c	\
	HandoverFromUtranFailure-v590ext-IEs.c	\
	InterRATHandoverInfo.c	\
	InterRATHandoverInfo-v390ext-IEs.c	\
	InterRATHandoverInfo-v3a0ext-IEs.c	\
	InterRATHandoverInfo-v3d0ext-IEs.c	\
	InterRATHandoverInfo-v3g0ext-IEs.c	\
	InterRATHandoverInfo-r3-add-ext-IEs.c	\
	InterRATHandoverInfo-v4b0ext-IEs.c	\
	InterRATHandoverInfo-v4d0ext-IEs.c	\
	InterRATHandoverInfo-v590ext-IEs.c	\
	InterRATHandoverInfo-v690ext1-IEs.c	\
	InterRATHandoverInfo-v690ext-IEs.c	\
	InterRATHandoverInfo-v7xyext-IEs.c	\
	MeasurementControl.c	\
	MeasurementControl-r3-IEs.c	\
	MeasurementControl-v390ext.c	\
	MeasurementControl-v3a0ext.c	\
	MeasurementControl-r4-IEs.c	\
	MeasurementControl-v590ext-IEs.c	\
	MeasurementControl-v5b0ext-IEs.c	\
	MeasurementControl-r6-IEs.c	\
	MeasurementControl-v6a0ext-IEs.c	\
	MeasurementControl-v7xyext-IEs.c	\
	MeasurementControlFailure.c	\
	MeasurementControlFailure-v590ext-IEs.c	\
	MeasurementReport.c	\
	MeasurementReport-v390ext.c	\
	MeasurementReport-v4b0ext-IEs.c	\
	MeasurementReport-v590ext-IEs.c	\
	MeasurementReport-v5b0ext-IEs.c	\
	MeasurementReport-v690ext-IEs.c	\
	MeasurementReport-v7xyext-IEs.c	\
	PagingType1.c	\
	PagingType1-v590ext-IEs.c	\
	PagingType2.c	\
	PhysicalChannelReconfiguration.c	\
	PhysicalChannelReconfiguration-r3-IEs.c	\
	PhysicalChannelReconfiguration-v3a0ext.c	\
	PhysicalChannelReconfiguration-v4b0ext-IEs.c	\
	PhysicalChannelReconfiguration-v590ext-IEs.c	\
	PhysicalChannelReconfiguration-r4-IEs.c	\
	PhysicalChannelReconfiguration-r5-IEs.c	\
	PhysicalChannelReconfiguration-r6-IEs.c	\
	PhysicalChannelReconfiguration-v690ext-IEs.c	\
	PhysicalChannelReconfiguration-r7-IEs.c	\
	PhysicalChannelReconfigurationComplete.c	\
	PhysicalChannelReconfigurationComplete-v7xyext-IEs.c	\
	PhysicalChannelReconfigurationFailure.c	\
	PhysicalSharedChannelAllocation.c	\
	PhysicalSharedChannelAllocation-r3-IEs.c	\
	PhysicalSharedChannelAllocation-r4-IEs.c	\
	PhysicalSharedChannelAllocation-v690ext-IEs.c	\
	PhysicalSharedChannelAllocation-v7xyext-IEs.c	\
	PUSCHCapacityRequest.c	\
	PUSCHCapacityRequest-v590ext.c	\
	RadioBearerReconfiguration.c	\
	RadioBearerReconfiguration-r3-IEs.c	\
	RadioBearerReconfiguration-v3a0ext.c	\
	RadioBearerReconfiguration-v4b0ext-IEs.c	\
	RadioBearerReconfiguration-v590ext-IEs.c	\
	RadioBearerReconfiguration-v5d0ext-IEs.c	\
	RadioBearerReconfiguration-r4-IEs.c	\
	RadioBearerReconfiguration-r5-IEs.c	\
	RadioBearerReconfiguration-r6-IEs.c	\
	RadioBearerReconfiguration-v690ext-IEs.c	\
	RadioBearerReconfiguration-r7-IEs.c	\
	RadioBearerReconfigurationComplete.c	\
	RadioBearerReconfigurationComplete-v7xyext-IEs.c	\
	RadioBearerReconfigurationFailure.c	\
	RadioBearerRelease.c	\
	RadioBearerRelease-r3-IEs.c	\
	RadioBearerRelease-v3a0ext.c	\
	RadioBearerRelease-v4b0ext-IEs.c	\
	RadioBearerRelease-v590ext-IEs.c	\
	RadioBearerRelease-r4-IEs.c	\
	RadioBearerRelease-r5-IEs.c	\
	RadioBearerRelease-v690ext-IEs.c	\
	RadioBearerRelease-r6-IEs.c	\
	RadioBearerRelease-r7-IEs.c	\
	RadioBearerReleaseComplete.c	\
	RadioBearerReleaseComplete-v7xyext-IEs.c	\
	RadioBearerReleaseFailure.c	\
	RadioBearerSetup.c	\
	RadioBearerSetup-r3-IEs.c	\
	RadioBearerSetup-v3a0ext.c	\
	RadioBearerSetup-v4b0ext-IEs.c	\
	RadioBearerSetup-v590ext-IEs.c	\
	RadioBearerSetup-v5d0ext-IEs.c	\
	RadioBearerSetup-r4-IEs.c	\
	RadioBearerSetup-r5-IEs.c	\
	RadioBearerSetup-v690ext-IEs.c	\
	RadioBearerSetup-r6-IEs.c	\
	RadioBearerSetup-r7-IEs.c	\
	RadioBearerSetupComplete.c	\
	RadioBearerSetupComplete-v7xyext-IEs.c	\
	RadioBearerSetupFailure.c	\
	RRCConnectionReject.c	\
	RRCConnectionReject-r3-IEs.c	\
	RRCConnectionReject-v690ext-IEs.c	\
	RRCConnectionRelease.c	\
	RRCConnectionRelease-r3-IEs.c	\
	RRCConnectionRelease-r4-IEs.c	\
	RRCConnectionRelease-v690ext-IEs.c	\
	RRCConnectionRelease-CCCH.c	\
	RRCConnectionRelease-CCCH-r3-IEs.c	\
	RRCConnectionRelease-CCCH-r4-IEs.c	\
	RRCConnectionRelease-CCCH-r5-IEs.c	\
	RRCConnectionRelease-CCCH-v690ext-IEs.c	\
	RRCConnectionReleaseComplete.c	\
	RRCConnectionRequest.c	\
	RRCConnectionRequest-v3d0ext-IEs.c	\
	RRCConnectionRequest-v4b0ext-IEs.c	\
	RRCConnectionRequest-v590ext-IEs.c	\
	RRCConnectionRequest-v690ext-IEs.c	\
	RRCConnectionSetup.c	\
	RRCConnectionSetup-r3-IEs.c	\
	RRCConnectionSetup-v4b0ext-IEs.c	\
	RRCConnectionSetup-v590ext-IEs.c	\
	RRCConnectionSetup-r4-IEs.c	\
	RRCConnectionSetup-r5-IEs.c	\
	RRCConnectionSetup-v690ext-IEs.c	\
	RRCConnectionSetup-r6-IEs.c	\
	RRCConnectionSetup-r7-IEs.c	\
	RRCConnectionSetup-v7xyext-IEs.c	\
	RRCConnectionSetupComplete.c	\
	RRCConnectionSetupComplete-v370ext.c	\
	RRCConnectionSetupComplete-v380ext-IEs.c	\
	RRCConnectionSetupComplete-v3a0ext-IEs.c	\
	RRCConnectionSetupComplete-v3g0ext-IEs.c	\
	RRCConnectionSetupComplete-r3-add-ext-IEs.c	\
	RRCConnectionSetupComplete-v4b0ext-IEs.c	\
	RRCConnectionSetupComplete-v590ext-IEs.c	\
	RRCConnectionSetupComplete-v5c0ext-IEs.c	\
	RRCConnectionSetupComplete-v650ext-IEs.c	\
	RRCConnectionSetupComplete-v680ext-IEs.c	\
	RRCConnectionSetupComplete-v690ext-IEs.c	\
	RRCConnectionSetupComplete-v7xyext-IEs.c	\
	RRC-FailureInfo.c	\
	RRC-FailureInfo-r3-IEs.c	\
	RRCStatus.c	\
	SecurityModeCommand.c	\
	SecurityModeCommand-r3-IEs.c	\
	SecurityModeComplete.c	\
	SecurityModeFailure.c	\
	SignallingConnectionRelease.c	\
	SignallingConnectionRelease-r3-IEs.c	\
	SignallingConnectionReleaseIndication.c	\
	SystemInformation-BCH.c	\
	SystemInformation-FACH.c	\
	FirstSegment.c	\
	FirstSegmentShort.c	\
	SubsequentSegment.c	\
	LastSegment.c	\
	LastSegmentShort.c	\
	CompleteSIB-List.c	\
	CompleteSIB.c	\
	CompleteSIBshort.c	\
	SystemInformationChangeIndication.c	\
	TransportChannelReconfiguration.c	\
	TransportChannelReconfiguration-r3-IEs.c	\
	TransportChannelReconfiguration-v3a0ext.c	\
	TransportChannelReconfiguration-v4b0ext-IEs.c	\
	TransportChannelReconfiguration-v590ext-IEs.c	\
	TransportChannelReconfiguration-r4-IEs.c	\
	TransportChannelReconfiguration-r5-IEs.c	\
	TransportChannelReconfiguration-v690ext-IEs.c	\
	TransportChannelReconfiguration-r6-IEs.c	\
	TransportChannelReconfiguration-r7-IEs.c	\
	TransportChannelReconfigurationComplete.c	\
	TransportChannelReconfigurationComplete-v7xyext-IEs.c	\
	TransportChannelReconfigurationFailure.c	\
	TransportFormatCombinationControl.c	\
	TransportFormatCombinationControlFailure.c	\
	UECapabilityEnquiry.c	\
	UECapabilityEnquiry-r3-IEs.c	\
	UECapabilityEnquiry-v4b0ext-IEs.c	\
	UECapabilityEnquiry-v590ext-IEs.c	\
	UECapabilityEnquiry-v7xyext-IEs.c	\
	UECapabilityInformation.c	\
	UECapabilityInformation-v370ext.c	\
	UECapabilityInformation-v380ext-IEs.c	\
	UECapabilityInformation-v3a0ext-IEs.c	\
	UECapabilityInformation-r3-add-ext-IEs.c	\
	UECapabilityInformation-v4b0ext.c	\
	UECapabilityInformation-v590ext.c	\
	UECapabilityInformation-v5c0ext.c	\
	UECapabilityInformation-v650ext-IEs.c	\
	UECapabilityInformation-v680ext-IEs.c	\
	UECapabilityInformation-v690ext-IEs.c	\
	UECapabilityInformation-v7xyext-IEs.c	\
	UECapabilityInformationConfirm.c	\
	UECapabilityInformationConfirm-r3-IEs.c	\
	UplinkDirectTransfer.c	\
	UplinkDirectTransfer-v690ext-IEs.c	\
	UplinkPhysicalChannelControl.c	\
	UplinkPhysicalChannelControl-r3-IEs.c	\
	UplinkPhysicalChannelControl-v4b0ext-IEs.c	\
	UplinkPhysicalChannelControl-r4-IEs.c	\
	UplinkPhysicalChannelControl-r5-IEs.c	\
	UplinkPhysicalChannelControl-v690ext-IEs.c	\
	UplinkPhysicalChannelControl-v6a0ext-IEs.c	\
	UplinkPhysicalChannelControl-r7-IEs.c	\
	URAUpdate.c	\
	URAUpdateConfirm.c	\
	URAUpdateConfirm-r3-IEs.c	\
	URAUpdateConfirm-r5-IEs.c	\
	URAUpdateConfirm-v690ext-IEs.c	\
	URAUpdateConfirm-CCCH.c	\
	URAUpdateConfirm-CCCH-r3-IEs.c	\
	UTRANMobilityInformation.c	\
	UTRANMobilityInformation-r3-IEs.c	\
	UTRANMobilityInformation-v3a0ext-IEs.c	\
	UTRANMobilityInformation-r5-IEs.c	\
	UtranMobilityInformation-v690ext-IEs.c	\
	UTRANMobilityInformationConfirm.c	\
	UTRANMobilityInformationFailure.c	\
	MBMSAccessInformation.c	\
	MBMSCommonPTMRBInformation.c	\
	MBMSCurrentCellPTMRBInformation.c	\
	MBMSGeneralInformation.c	\
	MBMSGeneralInformation-v7xyext-IEs.c	\
	MBMSModificationRequest.c	\
	MBMSModifiedServicesInformation.c	\
	MBMSNeighbouringCellPTMRBInformation.c	\
	MBMSSchedulingInformation.c	\
	MBMSUnmodifiedServicesInformation.c	\
	Ansi-41-IDNNS.c	\
	CN-DomainIdentity.c	\
	CN-DomainInformation.c	\
	CN-DomainInformationFull.c	\
	CN-DomainInformationList.c	\
	CN-DomainInformationListFull.c	\
	CN-DomainSysInfo.c	\
	CN-DomainSysInfoList.c	\
	CN-InformationInfo.c	\
	CN-InformationInfo-r6.c	\
	CN-InformationInfoFull.c	\
	Digit.c	\
	Gsm-map-IDNNS.c	\
	IMEI.c	\
	IMEI-Digit.c	\
	IMSI-GSM-MAP.c	\
	IntraDomainNasNodeSelector.c	\
	LAI.c	\
	MCC.c	\
	MNC.c	\
	MultiplePLMN-List-r6.c	\
	NAS-Message.c	\
	NAS-Synchronisation-Indicator.c	\
	NAS-SystemInformationGSM-MAP.c	\
	P-TMSI-GSM-MAP.c	\
	PagingRecordTypeID.c	\
	PLMN-Identity.c	\
	PLMN-IdentityWithOptionalMCC-r6.c	\
	PLMN-Type.c	\
	RAB-Identity.c	\
	RAI.c	\
	RoutingAreaCode.c	\
	RoutingParameter.c	\
	TMSI-GSM-MAP.c	\
	AccessClassBarred.c	\
	AccessClassBarredList.c	\
	AllowedIndicator.c	\
	CellAccessRestriction.c	\
	CellBarred.c	\
	CellIdentity.c	\
	CellIdentity-PerRL-List.c	\
	CellSelectReselectInfoSIB-3-4.c	\
	DomainSpecificAccessRestrictionForSharedNetwork-v670ext.c	\
	DomainSpecificAccessRestrictionList-v670ext.c	\
	DomainSpecificAccessRestrictionParam-v670ext.c	\
	DomainSpecificAccessRestriction-v670ext.c	\
	MapParameter.c	\
	Mapping.c	\
	Mapping-LCR-r4.c	\
	MappingFunctionParameter.c	\
	MappingFunctionParameterList.c	\
	MappingFunctionType.c	\
	MappingInfo.c	\
	Q-Hyst-S.c	\
	Q-Hyst-S-Fine.c	\
	RAT.c	\
	RAT-FDD-Info.c	\
	RAT-FDD-InfoList.c	\
	RAT-Identifier.c	\
	RAT-TDD-Info.c	\
	RAT-TDD-InfoList.c	\
	ReservedIndicator.c	\
	S-SearchQual.c	\

=== examples/sample.source.TAP3/Makefile ===
ASN_MODULE_SOURCES=	\
	DataInterChange.c	\
	TransferBatch.c	\
	Notification.c	\
	CallEventDetailList.c	\
	CallEventDetail.c	\
	BatchControlInfo.c	\
	AccountingInfo.c	\
	NetworkInfo.c	\
	MessageDescriptionInfoList.c	\
	MobileOriginatedCall.c	\
	MobileTerminatedCall.c	\
	SupplServiceEvent.c	\
	ServiceCentreUsage.c	\
	GprsCall.c	\
	ContentTransaction.c	\
	LocationService.c	\
	AuditControlInfo.c	\
	AccessPointNameNI.c	\
	AccessPointNameOI.c	\
	ActualDeliveryTimeStamp.c	\
	AddressStringDigits.c	\
	AdvisedCharge.c	\
	AdvisedChargeCurrency.c	\
	AdvisedChargeInformation.c	\
	AgeOfLocation.c	\
	BasicService.c	\
	BasicServiceCode.c	\
	BasicServiceCodeList.c	\
	BasicServiceUsed.c	\
	BasicServiceUsedList.c	\
	BearerServiceCode.c	\
	CalledNumber.c	\
	CalledPlace.c	\
	CalledRegion.c	\
	CallEventDetailsCount.c	\
	CallEventStartTimeStamp.c	\
	CallingNumber.c	\
	CallOriginator.c	\
	CallReference.c	\
	CallTypeGroup.c	\
	CallTypeLevel1.c	\
	CallTypeLevel2.c	\
	CallTypeLevel3.c	\
	CamelDestinationNumber.c	\
	CamelInvocationFee.c	\
	CamelServiceKey.c	\
	CamelServiceLevel.c	\
	CamelServiceUsed.c	\
	CauseForTerm.c	\
	CellId.c	\
	Charge.c	\
	ChargeableSubscriber.c	\
	ChargeableUnits.c	\
	ChargeDetail.c	\
	ChargeDetailList.c	\
	ChargeDetailTimeStamp.c	\
	ChargedItem.c	\
	ChargedPartyEquipment.c	\
	ChargedPartyHomeIdentification.c	\
	ChargedPartyHomeIdList.c	\
	ChargedPartyIdentification.c	\
	ChargedPartyIdentifier.c	\
	ChargedPartyIdList.c	\
	ChargedPartyIdType.c	\
	ChargedPartyInformation.c	\
	ChargedPartyLocation.c	\
	ChargedPartyLocationList.c	\
	ChargedPartyStatus.c	\
	ChargedUnits.c	\
	ChargeInformation.c	\
	ChargeInformationList.c	\
	ChargeRefundIndicator.c	\
	ChargeType.c	\
	ChargingId.c	\
	ChargingPoint.c	\
	ChargingTimeStamp.c	\
	ClirIndicator.c	\
	Commission.c	\
	CompletionTimeStamp.c	\
	ContentChargingPoint.c	\
	ContentProvider.c	\
	ContentProviderIdentifier.c	\
	ContentProviderIdList.c	\
	ContentProviderIdType.c	\
	ContentProviderName.c	\
	ContentServiceUsed.c	\
	ContentServiceUsedList.c	\
	ContentTransactionBasicInfo.c	\
	ContentTransactionCode.c	\
	ContentTransactionType.c	\
	CseInformation.c	\
	CurrencyConversion.c	\
	CurrencyConversionList.c	\
	CustomerIdentifier.c	\
	CustomerIdType.c	\
	DataVolume.c	\
	DataVolumeIncoming.c	\
	DataVolumeOutgoing.c	\
	DateTime.c	\
	DateTimeLong.c	\
	DefaultCallHandlingIndicator.c	\
	DepositTimeStamp.c	\
	Destination.c	\
	DestinationNetwork.c	\
	DialledDigits.c	\
	Discount.c	\
	DiscountableAmount.c	\
	DiscountApplied.c	\
	DiscountCode.c	\
	DiscountInformation.c	\
	Discounting.c	\
	DiscountingList.c	\
	DiscountRate.c	\
	DiscountValue.c	\
	DistanceChargeBandCode.c	\
	EarliestCallTimeStamp.c	\
	EquipmentId.c	\
	EquipmentIdType.c	\
	Esn.c	\
	ExchangeRate.c	\
	ExchangeRateCode.c	\
	FileAvailableTimeStamp.c	\
	FileCreationTimeStamp.c	\
	FileSequenceNumber.c	\
	FileTypeIndicator.c	\
	FixedDiscountValue.c	\
	Fnur.c	\
	GeographicalLocation.c	\
	GprsBasicCallInformation.c	\
	GprsChargeableSubscriber.c	\
	GprsDestination.c	\
	GprsLocationInformation.c	\
	GprsNetworkLocation.c	\
	GprsServiceUsed.c	\
	GsmChargeableSubscriber.c	\
	GuaranteedBitRate.c	\
	HomeBid.c	\
	HomeIdentifier.c	\
	HomeIdType.c	\
	HomeLocationDescription.c	\
	HomeLocationInformation.c	\
	HorizontalAccuracyDelivered.c	\
	HorizontalAccuracyRequested.c	\
	HSCSDIndicator.c	\
	Imei.c	\
	ImeiOrEsn.c	\
	Imsi.c	\
	IMSSignallingContext.c	\
	InternetServiceProvider.c	\
	InternetServiceProviderIdList.c	\
	IspIdentifier.c	\
	IspIdType.c	\
	ISPList.c	\
	NetworkIdType.c	\
	NetworkIdentifier.c	\
	Network.c	\
	NetworkList.c	\
	LatestCallTimeStamp.c	\
	LCSQosDelivered.c	\
	LCSQosRequested.c	\
	LCSRequestTimestamp.c	\
	LCSSPIdentification.c	\
	LCSSPIdentificationList.c	\
	LCSSPInformation.c	\
	LCSTransactionStatus.c	\
	LocalCurrency.c	\
	LocalTimeStamp.c	\
	LocationArea.c	\
	LocationDescription.c	\
	LocationIdentifier.c	\
	LocationIdType.c	\
	LocationInformation.c	\
	LocationServiceUsage.c	\
	MaximumBitRate.c	\
	Mdn.c	\
	MessageDescription.c	\
	MessageDescriptionCode.c	\
	MessageDescriptionInformation.c	\
	MessageStatus.c	\
	MessageType.c	\
	Min.c	\
	MinChargeableSubscriber.c	\
	MoBasicCallInformation.c	\
	Msisdn.c	\
	MtBasicCallInformation.c	\
	NetworkAccessIdentifier.c	\
	NetworkId.c	\
	NetworkInitPDPContext.c	\
	NetworkLocation.c	\
	NonChargedNumber.c	\
	NumberOfDecimalPlaces.c	\
	ObjectType.c	\
	OperatorSpecInfoList.c	\
	OperatorSpecInformation.c	\
	OrderPlacedTimeStamp.c	\
	OriginatingNetwork.c	\
	PacketDataProtocolAddress.c	\
	PaidIndicator.c	\
	PartialTypeIndicator.c	\
	PaymentMethod.c	\
	PdpAddress.c	\
	PDPContextStartTimestamp.c	\
	PlmnId.c	\
	PositioningMethod.c	\
	PriorityCode.c	\
	RapFileSequenceNumber.c	\
	RecEntityCode.c	\
	RecEntityCodeList.c	\
	RecEntityId.c	\
	RecEntityInfoList.c	\
	RecEntityInformation.c	\
	RecEntityType.c	\
	Recipient.c	\
	ReleaseVersionNumber.c	\
	RequestedDeliveryTimeStamp.c	\
	ResponseTime.c	\
	ResponseTimeCategory.c	\
	ScuBasicInformation.c	\
	ScuChargeType.c	\
	ScuTimeStamps.c	\
	ScuChargeableSubscriber.c	\
	Sender.c	\
	ServingBid.c	\
	ServingLocationDescription.c	\
	ServingNetwork.c	\
	ServingPartiesInformation.c	\
	SimChargeableSubscriber.c	\
	SimToolkitIndicator.c	\
	SMSDestinationNumber.c	\
	SMSOriginator.c	\
	SpecificationVersionNumber.c	\
	SsParameters.c	\
	SupplServiceActionCode.c	\
	SupplServiceCode.c	\
	SupplServiceUsed.c	\
	TapCurrency.c	\
	TapDecimalPlaces.c	\
	TaxableAmount.c	\
	Taxation.c	\
	TaxationList.c	\
	TaxCode.c	\
	TaxInformation.c	\
	TaxInformationList.c	\
	TaxRate.c	\
	TaxType.c	\
	TaxValue.c	\
	TeleServiceCode.c	\
	ThirdPartyInformation.c	\
	ThirdPartyNumber.c	\
	ThreeGcamelDestination.c	\
	TotalAdvisedCharge.c	\
	TotalAdvisedChargeRefund.c	\
	TotalAdvisedChargeValue.c	\
	TotalAdvisedChargeValueList.c	\
	TotalCallEventDuration.c	\
	TotalCharge.c	\
	TotalChargeRefund.c	\
	TotalCommission.c	\
	TotalCommissionRefund.c	\
	TotalDataVolume.c	\
	TotalDiscountRefund.c	\
	TotalDiscountValue.c	\
	TotalTaxRefund.c	\
	TotalTaxValue.c	\
	TotalTransactionDuration.c	\
	TrackedCustomerEquipment.c	\
	TrackedCustomerHomeId.c	\
	TrackedCustomerHomeIdList.c	\
	TrackedCustomerIdentification.c	\
	TrackedCustomerIdList.c	\
	TrackedCustomerInformation.c	\
	TrackedCustomerLocation.c	\
	TrackedCustomerLocList.c	\
	TrackingCustomerEquipment.c	\
	TrackingCustomerHomeId.c	\
	TrackingCustomerHomeIdList.c	\
	TrackingCustomerIdentification.c	\
	TrackingCustomerIdList.c	\
	TrackingCustomerInformation.c	\
	TrackingCustomerLocation.c	\
	TrackingCustomerLocList.c	\
	TrackingFrequency.c	\
	TrackingPeriod.c	\
	TransactionAuthCode.c	\
	TransactionDescriptionSupp.c	\
	TransactionDetailDescription.c	\
	TransactionIdentifier.c	\
	TransactionShortDescription.c	\
	TransactionStatus.c	\
	TransferCutOffTimeStamp.c	\
	TransparencyIndicator.c	\
	UserProtocolIndicator.c	\
	UtcTimeOffset.c	\
	UtcTimeOffsetCode.c	\
	UtcTimeOffsetInfo.c	\
	UtcTimeOffsetInfoList.c	\
	VerticalAccuracyDelivered.c	\
	VerticalAccuracyRequested.c	\
	AbsoluteAmount.c	\
	Bid.c	\
	Code.c	\
	AsciiString.c	\
	BCDString.c	\
	Currency.c	\
	HexString.c	\
	NumberString.c	\
	PercentageRate.c

ASN_MODULE_HEADERS=	\
	DataInterChange.h	\
	TransferBatch.h	\
	Notification.h	\
	CallEventDetailList.h	\
	CallEventDetail.h	\
	BatchControlInfo.h	\
	AccountingInfo.h	\
	NetworkInfo.h	\
	MessageDescriptionInfoList.h	\
	MobileOriginatedCall.h	\
	MobileTerminatedCall.h	\
	SupplServiceEvent.h	\
	ServiceCentreUsage.h	\
	GprsCall.h	\
	ContentTransaction.h	\
	LocationService.h	\
	AuditControlInfo.h	\
	AccessPointNameNI.h	\
	AccessPointNameOI.h	\
	ActualDeliveryTimeStamp.h	\
	AddressStringDigits.h	\
	AdvisedCharge.h	\
	AdvisedChargeCurrency.h	\
	AdvisedChargeInformation.h	\
	AgeOfLocation.h	\
	BasicService.h	\
	BasicServiceCode.h	\
	BasicServiceCodeList.h	\
	BasicServiceUsed.h	\
	BasicServiceUsedList.h	\
	BearerServiceCode.h	\
	CalledNumber.h	\
	CalledPlace.h	\
	CalledRegion.h	\
	CallEventDetailsCount.h	\
	CallEventStartTimeStamp.h	\
	CallingNumber.h	\
	CallOriginator.h	\
	CallReference.h	\
	CallTypeGroup.h	\
	CallTypeLevel1.h	\
	CallTypeLevel2.h	\
	CallTypeLevel3.h	\
	CamelDestinationNumber.h	\
	CamelInvocationFee.h	\
	CamelServiceKey.h	\
	CamelServiceLevel.h	\
	CamelServiceUsed.h	\
	CauseForTerm.h	\
	CellId.h	\
	Charge.h	\
	ChargeableSubscriber.h	\
	ChargeableUnits.h	\
	ChargeDetail.h	\
	ChargeDetailList.h	\
	ChargeDetailTimeStamp.h	\
	ChargedItem.h	\
	ChargedPartyEquipment.h	\
	ChargedPartyHomeIdentification.h	\
	ChargedPartyHomeIdList.h	\
	ChargedPartyIdentification.h	\
	ChargedPartyIdentifier.h	\
	ChargedPartyIdList.h	\
	ChargedPartyIdType.h	\
	ChargedPartyInformation.h	\
	ChargedPartyLocation.h	\
	ChargedPartyLocationList.h	\
	ChargedPartyStatus.h	\
	ChargedUnits.h	\
	ChargeInformation.h	\
	ChargeInformationList.h	\
	ChargeRefundIndicator.h	\
	ChargeType.h	\
	ChargingId.h	\
	ChargingPoint.h	\
	ChargingTimeStamp.h	\
	ClirIndicator.h	\
	Commission.h	\
	CompletionTimeStamp.h	\
	ContentChargingPoint.h	\
	ContentProvider.h	\
	ContentProviderIdentifier.h	\
	ContentProviderIdList.h	\
	ContentProviderIdType.h	\
	ContentProviderName.h	\
	ContentServiceUsed.h	\
	ContentServiceUsedList.h	\
	ContentTransactionBasicInfo.h	\
	ContentTransactionCode.h	\
	ContentTransactionType.h	\
	CseInformation.h	\
	CurrencyConversion.h	\
	CurrencyConversionList.h	\
	CustomerIdentifier.h	\
	CustomerIdType.h	\
	DataVolume.h	\
	DataVolumeIncoming.h	\
	DataVolumeOutgoing.h	\
	DateTime.h	\
	DateTimeLong.h	\
	DefaultCallHandlingIndicator.h	\
	DepositTimeStamp.h	\
	Destination.h	\
	DestinationNetwork.h	\
	DialledDigits.h	\
	Discount.h	\
	DiscountableAmount.h	\
	DiscountApplied.h	\
	DiscountCode.h	\
	DiscountInformation.h	\
	Discounting.h	\
	DiscountingList.h	\
	DiscountRate.h	\
	DiscountValue.h	\
	DistanceChargeBandCode.h	\
	EarliestCallTimeStamp.h	\
	EquipmentId.h	\
	EquipmentIdType.h	\
	Esn.h	\
	ExchangeRate.h	\
	ExchangeRateCode.h	\
	FileAvailableTimeStamp.h	\
	FileCreationTimeStamp.h	\
	FileSequenceNumber.h	\
	FileTypeIndicator.h	\
	FixedDiscountValue.h	\
	Fnur.h	\
	GeographicalLocation.h	\
	GprsBasicCallInformation.h	\
	GprsChargeableSubscriber.h	\
	GprsDestination.h	\
	GprsLocationInformation.h	\
	GprsNetworkLocation.h	\
	GprsServiceUsed.h	\
	GsmChargeableSubscriber.h	\
	GuaranteedBitRate.h	\
	HomeBid.h	\
	HomeIdentifier.h	\
	HomeIdType.h	\
	HomeLocationDescription.h	\
	HomeLocationInformation.h	\
	HorizontalAccuracyDelivered.h	\
	HorizontalAccuracyRequested.h	\
	HSCSDIndicator.h	\
	Imei.h	\
	ImeiOrEsn.h	\
	Imsi.h	\
	IMSSignallingContext.h	\
	InternetServiceProvider.h	\
	InternetServiceProviderIdList.h	\
	IspIdentifier.h	\
	IspIdType.h	\
	ISPList.h	\
	NetworkIdType.h	\
	NetworkIdentifier.h	\
	Network.h	\
	NetworkList.h	\
	LatestCallTimeStamp.h	\
	LCSQosDelivered.h	\
	LCSQosRequested.h	\
	LCSRequestTimestamp.h	\
	LCSSPIdentification.h	\
	LCSSPIdentificationList.h	\
	LCSSPInformation.h	\
	LCSTransactionStatus.h	\
	LocalCurrency.h	\
	LocalTimeStamp.h	\
	LocationArea.h	\
	LocationDescription.h	\
	LocationIdentifier.h	\
	LocationIdType.h	\
	LocationInformation.h	\
	LocationServiceUsage.h	\
	MaximumBitRate.h	\
	Mdn.h	\
	MessageDescription.h	\
	MessageDescriptionCode.h	\
	MessageDescriptionInformation.h	\
	MessageStatus.h	\
	MessageType.h	\
	Min.h	\
	MinChargeableSubscriber.h	\
	MoBasicCallInformation.h	\
	Msisdn.h	\
	MtBasicCallInformation.h	\
	NetworkAccessIdentifier.h	\
	NetworkId.h	\
	NetworkInitPDPContext.h	\
	NetworkLocation.h	\
	NonChargedNumber.h	\
	NumberOfDecimalPlaces.h	\
	ObjectType.h	\
	OperatorSpecInfoList.h	\
	OperatorSpecInformation.h	\
	OrderPlacedTimeStamp.h	\
	OriginatingNetwork.h	\
	PacketDataProtocolAddress.h	\
	PaidIndicator.h	\
	PartialTypeIndicator.h	\
	PaymentMethod.h	\
	PdpAddress.h	\
	PDPContextStartTimestamp.h	\
	PlmnId.h	\
	PositioningMethod.h	\
	PriorityCode.h	\
	RapFileSequenceNumber.h	\
	RecEntityCode.h	\
	RecEntityCodeList.h	\
	RecEntityId.h	\
	RecEntityInfoList.h	\
	RecEntityInformation.h	\
	RecEntityType.h	\
	Recipient.h	\
	ReleaseVersionNumber.h	\
	RequestedDeliveryTimeStamp.h	\
	ResponseTime.h	\
	ResponseTimeCategory.h	\

=== examples/sample.source.ULP/Makefile ===
ASN_MODULE_SOURCES=	\
	ULP-PDU.c	\
	UlpMessage.c	\
	SUPLINIT.c	\
	Notification.c	\
	NotificationType.c	\
	EncodingType.c	\
	FormatIndicator.c	\
	SLPMode.c	\
	MAC.c	\
	KeyIdentity.c	\
	SUPLSTART.c	\
	SETCapabilities.c	\
	PosTechnology.c	\
	PrefMethod.c	\
	PosProtocol.c	\
	SUPLRESPONSE.c	\
	SETAuthKey.c	\
	KeyIdentity4.c	\
	SUPLPOSINIT.c	\
	RequestedAssistData.c	\
	NavigationModel.c	\
	SatelliteInfo.c	\
	SatelliteInfoElement.c	\
	SUPLPOS.c	\
	PosPayLoad.c	\
	SUPLEND.c	\
	SUPLAUTHREQ.c	\
	SETNonce.c	\
	KeyIdentity2.c	\
	SUPLAUTHRESP.c	\
	SPCAuthKey.c	\
	KeyIdentity3.c	\
	Version.c	\
	SessionID.c	\
	SetSessionID.c	\
	SETId.c	\
	SlpSessionID.c	\
	IPAddress.c	\
	SLPAddress.c	\
	FQDN.c	\
	Ver.c	\
	LocationId.c	\
	Status.c	\
	CellInfo.c	\
	Position.c	\
	PositionEstimate.c	\
	AltitudeInfo.c	\
	CdmaCellInformation.c	\
	GsmCellInformation.c	\
	WcdmaCellInformation.c	\
	FrequencyInfo.c	\
	FrequencyInfoFDD.c	\
	FrequencyInfoTDD.c	\
	UARFCN.c	\
	NMR.c	\
	NMRelement.c	\
	MeasuredResultsList.c	\
	MeasuredResults.c	\
	CellMeasuredResultsList.c	\
	UTRA-CarrierRSSI.c	\
	CellMeasuredResults.c	\
	CellParametersID.c	\
	TGSN.c	\
	PrimaryCCPCH-RSCP.c	\
	TimeslotISCP.c	\
	TimeslotISCP-List.c	\
	PrimaryCPICH-Info.c	\
	CPICH-Ec-N0.c	\
	CPICH-RSCP.c	\
	Pathloss.c	\
	StatusCode.c	\
	QoP.c	\
	Velocity.c	\
	Horvel.c	\
	Horandvervel.c	\
	Horveluncert.c	\
	Horandveruncert.c	\
	PosMethod.c

ASN_MODULE_HEADERS=	\
	ULP-PDU.h	\
	UlpMessage.h	\
	SUPLINIT.h	\
	Notification.h	\
	NotificationType.h	\
	EncodingType.h	\
	FormatIndicator.h	\
	SLPMode.h	\
	MAC.h	\
	KeyIdentity.h	\
	SUPLSTART.h	\
	SETCapabilities.h	\
	PosTechnology.h	\
	PrefMethod.h	\
	PosProtocol.h	\
	SUPLRESPONSE.h	\
	SETAuthKey.h	\
	KeyIdentity4.h	\
	SUPLPOSINIT.h	\
	RequestedAssistData.h	\
	NavigationModel.h	\
	SatelliteInfo.h	\
	SatelliteInfoElement.h	\
	SUPLPOS.h	\
	PosPayLoad.h	\
	SUPLEND.h	\
	SUPLAUTHREQ.h	\
	SETNonce.h	\
	KeyIdentity2.h	\
	SUPLAUTHRESP.h	\
	SPCAuthKey.h	\
	KeyIdentity3.h	\
	Version.h	\
	SessionID.h	\
	SetSessionID.h	\
	SETId.h	\
	SlpSessionID.h	\
	IPAddress.h	\
	SLPAddress.h	\
	FQDN.h	\
	Ver.h	\
	LocationId.h	\
	Status.h	\
	CellInfo.h	\
	Position.h	\
	PositionEstimate.h	\
	AltitudeInfo.h	\
	CdmaCellInformation.h	\
	GsmCellInformation.h	\
	WcdmaCellInformation.h	\
	FrequencyInfo.h	\
	FrequencyInfoFDD.h	\
	FrequencyInfoTDD.h	\
	UARFCN.h	\
	NMR.h	\
	NMRelement.h	\
	MeasuredResultsList.h	\
	MeasuredResults.h	\
	CellMeasuredResultsList.h	\
	UTRA-CarrierRSSI.h	\
	CellMeasuredResults.h	\
	CellParametersID.h	\
	TGSN.h	\
	PrimaryCCPCH-RSCP.h	\
	TimeslotISCP.h	\
	TimeslotISCP-List.h	\
	PrimaryCPICH-Info.h	\
	CPICH-Ec-N0.h	\
	CPICH-RSCP.h	\
	Pathloss.h	\
	StatusCode.h	\
	QoP.h	\
	Velocity.h	\
	Horvel.h	\
	Horandvervel.h	\
	Horveluncert.h	\
	Horandveruncert.h	\
	PosMethod.h

ASN_MODULE_HEADERS+=BOOLEAN.h
ASN_MODULE_SOURCES+=BOOLEAN.c
ASN_MODULE_HEADERS+=ENUMERATED.h
ASN_MODULE_SOURCES+=ENUMERATED.c
ASN_MODULE_HEADERS+=INTEGER.h
ASN_MODULE_HEADERS+=NativeEnumerated.h
ASN_MODULE_HEADERS+=GeneralizedTime.h
ASN_MODULE_SOURCES+=GeneralizedTime.c
ASN_MODULE_HEADERS+=IA5String.h
ASN_MODULE_SOURCES+=IA5String.c
ASN_MODULE_SOURCES+=INTEGER.c
ASN_MODULE_SOURCES+=NativeEnumerated.c
ASN_MODULE_HEADERS+=NativeInteger.h
ASN_MODULE_SOURCES+=NativeInteger.c
ASN_MODULE_HEADERS+=UTCTime.h
ASN_MODULE_SOURCES+=UTCTime.c
ASN_MODULE_HEADERS+=VisibleString.h
ASN_MODULE_SOURCES+=VisibleString.c
ASN_MODULE_HEADERS+=asn_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=asn_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=asn_SET_OF.h
ASN_MODULE_SOURCES+=asn_SET_OF.c
ASN_MODULE_HEADERS+=constr_CHOICE.h
ASN_MODULE_SOURCES+=constr_CHOICE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE.h
ASN_MODULE_SOURCES+=constr_SEQUENCE.c
ASN_MODULE_HEADERS+=constr_SEQUENCE_OF.h
ASN_MODULE_SOURCES+=constr_SEQUENCE_OF.c
ASN_MODULE_HEADERS+=constr_SET_OF.h
ASN_MODULE_SOURCES+=constr_SET_OF.c
ASN_MODULE_HEADERS+=asn_application.h
ASN_MODULE_HEADERS+=asn_system.h
ASN_MODULE_HEADERS+=asn_codecs.h
ASN_MODULE_HEADERS+=asn_internal.h
ASN_MODULE_HEADERS+=OCTET_STRING.h
ASN_MODULE_SOURCES+=OCTET_STRING.c
ASN_MODULE_HEADERS+=BIT_STRING.h
ASN_MODULE_SOURCES+=BIT_STRING.c
ASN_MODULE_SOURCES+=asn_codecs_prim.c
ASN_MODULE_HEADERS+=asn_codecs_prim.h
ASN_MODULE_HEADERS+=ber_tlv_length.h
ASN_MODULE_SOURCES+=ber_tlv_length.c
ASN_MODULE_HEADERS+=ber_tlv_tag.h
ASN_MODULE_SOURCES+=ber_tlv_tag.c
ASN_MODULE_HEADERS+=ber_decoder.h
ASN_MODULE_SOURCES+=ber_decoder.c
ASN_MODULE_HEADERS+=der_encoder.h
ASN_MODULE_SOURCES+=der_encoder.c
ASN_MODULE_HEADERS+=constr_TYPE.h
ASN_MODULE_SOURCES+=constr_TYPE.c
ASN_MODULE_HEADERS+=constraints.h
ASN_MODULE_SOURCES+=constraints.c
ASN_MODULE_HEADERS+=xer_support.h
ASN_MODULE_SOURCES+=xer_support.c
ASN_MODULE_HEADERS+=xer_decoder.h
ASN_MODULE_SOURCES+=xer_decoder.c
ASN_MODULE_HEADERS+=xer_encoder.h
ASN_MODULE_SOURCES+=xer_encoder.c
ASN_MODULE_HEADERS+=per_support.h
ASN_MODULE_SOURCES+=per_support.c
ASN_MODULE_HEADERS+=per_decoder.h
ASN_MODULE_SOURCES+=per_decoder.c
ASN_MODULE_HEADERS+=per_encoder.h
ASN_MODULE_SOURCES+=per_encoder.c
ASN_MODULE_HEADERS+=per_opentype.h
ASN_MODULE_SOURCES+=per_opentype.c
ASN_CONVERTER_SOURCES+=converter-sample.c
ASN_CONVERTER_SOURCES+=pdu_collection.c


lib_LTLIBRARIES=libsomething.la
libsomething_la_SOURCES=$(ASN_MODULE_SOURCES) $(ASN_MODULE_HEADERS)

# This file may be used as an input for make(3)
# Remove the lines below to convert it into a pure .am file
TARGET = ulp-dump
CFLAGS += -DASN_CONVERTER_TITLE="OMA UserPlane Location Protocol decoder" -DHAVE_CONFIG_H -DJUNKTEST -DPDU=ULP_PDU -DASN_PDU_COLLECTION -I.
OBJS=${ASN_MODULE_SOURCES:.c=.o} ${ASN_CONVERTER_SOURCES:.c=.o}

all: ULP-PDU.c $(TARGET)

$(TARGET): ${OBJS}
	$(CC) $(CFLAGS) -o $(TARGET) ${OBJS} $(LDFLAGS) $(LIBS)

.SUFFIXES:
.SUFFIXES: .c .o

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

clean:
	rm -f $(TARGET)
	rm -f $(OBJS)

regen: regenerate-from-asn1-source

regenerate-from-asn1-source:
	../../asn1c/asn1c -S ../../skeletons -pdu=ULP-PDU -pdu=SUPLINIT -fcompound-names -gen-PER ../ulp.asn1


ULP-PDU.c: ../sample.makefile.regen ../ulp.asn1
	make regen-makefile
	@touch ULP-PDU.c
	make

regen-makefile:
	TITLE="OMA UserPlane Location Protocol decoder" \
	ASN1CMDOPTS="-pdu=SUPLINIT -fcompound-names -gen-PER" \
	ASN1MODULES="../ulp.asn1" \
	ASN1PDU=ULP-PDU \
	PROGNAME=ulp-dump \
	../sample.makefile.regen

check: ${TARGET} check-ber check-xer check-per
	@echo ================
	@echo All tests passed
	@echo ================

check-ber:
	@if test -f sample-ULP-PDU-1.[db]er ; then \
	for f in sample-ULP-PDU-*.[db]er; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into XER and back ($$b)..."; \
	./${TARGET} -b $$b -iber -oxer $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -ixer -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff ./.tmp.1.$$$$ ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iber -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iber -onull $$f || exit 6; \
	done; done; fi

check-xer:
	@if test -f sample-ULP-PDU-1.xer ; then \
	for f in sample-ULP-PDU-*.xer; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER and back ($$b)..."; \
	./${TARGET} -b $$b -ixer -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	diff $$f ./.tmp.2.$$$$ || exit 4; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -ixer -onull $$f || exit 5; \
	./${TARGET} -J0.001 -n 1000 -b $$b -ixer -onull $$f || exit 6; \
	done; done; fi

check-per:
	@if test -f sample-ULP-PDU-1-nopad.per ; then \
	for f in sample-ULP-PDU-[1-9]-nopad.per; do \
	for b in 1 17 33 980 8192; do \
	echo "Recoding non-padded $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -per-nopad -iper -oder $$f > ./.tmp.1.$$$$ || exit 2; \
	./${TARGET} -b $$b -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 3; \
	./${TARGET} -b $$b -ixer -oder ./.tmp.2.$$$$ > ./.tmp.3.$$$$ || exit 4; \
	diff ./.tmp.1.$$$$ ./.tmp.3.$$$$ || exit 5; \
	rm -f ./.tmp.[123].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 6; \
	./${TARGET} -J0.001 -n 1000 -b $$b -per-nopad -iper -onull $$f || exit 7; \
	done; done; fi
	@if test -f sample-ULP-PDU-1.per ; then \
	for f in sample-*-[1-9].per; do \
	pdu=`echo $$f | sed -E -e "s/sample-([A-Za-z-]+)-[0-9].*/\1/"`; \
	for b in 1 17 33 980 8192; do \
	echo "Recoding $$f into DER into XER and back ($$b)..."; \
	./${TARGET} -b $$b -p $$pdu -iper -oder $$f > ./.tmp.1.$$$$ || exit 3; \
	./${TARGET} -b $$b -p $$pdu -iber -oxer ./.tmp.1.$$$$ > ./.tmp.2.$$$$ || exit 4; \
	./${TARGET} -b $$b -p $$pdu -ixer -oper ./.tmp.2.$$$$ > ./.tmp.1.$$$$ || exit 5; \
	diff $$f ./.tmp.1.$$$$ || exit 6; \
	rm -f ./.tmp.[12].$$$$; \
	echo "Test junking $$f (please wait)..."; \
	./${TARGET} -J0.0001 -n 1000 -b $$b -iper -onull $$f || exit 7; \
	./${TARGET} -J0.001 -n 1000 -b $$b -iper -onull $$f || exit 8; \
	done; done; fi

distclean: clean
	rm -f $(ASN_MODULE_SOURCES)
	rm -f $(ASN_MODULE_HEADERS)
	rm -f $(ASN_CONVERTER_SOURCES) $(ASN_CONVERTER_HEADERS)
	rm -f Makefile.am.sample

=== asn1c/tests/data-62/Makefile ===

all:
	@for xbr in *.xbr; do					\
		ber=`echo "$$xbr" | sed -e 's/\.xbr$$/\.ber/'`;	\
		if [ $$xbr -nt $$ber ]; then			\
			echo "../../enber $$xbr > $$ber";	\
			../../enber $$xbr > $$ber || exit $$?;	\
		fi;						\
	done

=== debian/changelog ===
asn1c (0.9.28+dfsg-5) unstable; urgency=medium

  * Update package transitions (closes: #1016385)

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 01 Aug 2022 09:49:37 +0000

asn1c (0.9.28+dfsg-4) unstable; urgency=medium

  * Add DFSG-clean sources to upstream branch
  * Fix FTBFS on GCC 12 (closes: #1012896)
  * Fix copyright insecure URL
  * Sync debian copyright year
  * Add Files-Excluded to explain removed non-dfsg files
  * Clean whitespaces in changelog
  * Switch to uscan-based repacking
  * Add upstream/metadata file
  * Move additional documentation to asn1c-doc
  * Mark not-installed doc files
  * Add lintian override for non-doc README files
  * Switch to compat level 13
  * Update Standards-Version to 4.6.1
  * Add Forwarded status for some patches
  * Enable hardening
  * Bump new version
  * Use only debhelper-compat

 -- Eugene Seliverstov <theirix@gmail.com>  Thu, 28 Jul 2022 18:15:19 +0000

asn1c (0.9.28+dfsg-3) unstable; urgency=medium

   Moved to git and salsa
  * Use priority:optional

 -- Eugene Seliverstov <theirix@gmail.com>  Sat, 29 Sep 2018 14:42:03 +0300

asn1c (0.9.28+dfsg-2) unstable; urgency=medium

  * Fixed test failure on ppc64el (closes: #871815)
  * Updated debhelper compat to 10
  * Updated policy version to 4.1.0

 -- Eugene Seliverstov <theirix@gmail.com>  Tue, 22 Aug 2017 22:03:01 +0300

asn1c (0.9.28+dfsg-1) unstable; urgency=medium

  * Fixed dependency on texlive-math-extra (closes: #867065)
  * New upstream release 0.9.28
  * Updated policy version to 4.0.0
  * Removed obsolete patch 13_manmacro
  * Updated patches to fulfil build scripts

 -- Eugene Seliverstov <theirix@gmail.com>  Mon, 31 Jul 2017 20:20:00 +0300

=== debian/control ===
Source: asn1c
Section: devel
Priority: optional
Maintainer: Eugene Seliverstov <theirix@gmail.com>
Build-Depends: debhelper-compat (= 13), flex
Build-Depends-Indep: texlive, texlive-xetex, texlive-luatex, texlive-fonts-extra, texlive-science, lmodern
Standards-Version: 4.6.1
Homepage: https://github.com/vlm/asn1c
Vcs-Git: https://salsa.debian.org/theirix-guest/asn1c.git
Vcs-Browser: https://salsa.debian.org/theirix-guest/asn1c

Package: asn1c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: asn1c-doc (>= 0.9.28+dfsg-5)
Breaks: asn1c-doc (<< 0.9.28+dfsg-5)
Description: ASN.1 compiler for C
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.

Package: asn1c-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: asn1c (<< 0.9.28+dfsg-5)
Breaks: asn1c (<< 0.9.28+dfsg-5)
Description: Documentation for asn1c
 This ASN.1 compiler turns the formal ASN.1 specifications into the C
 code. The compiler is shipped together with conformant BER/DER/XER
 codecs. The X.509 and GSM TAP3 decoding examples are shipped as well.
 .
 This package contains documentation for asn1c.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf asn1c/tests/test-check-*
	-rm -f doc/docsrc/*.pdf
	-rm -f doc/docsrc/asn1c-usage.xdv

# Regenerate documentation only for asn1c-doc architecture-independent build
override_dh_auto_build-indep:
	$(MAKE) -C doc/docsrc regen

override_dh_auto_install-indep:
	dh_auto_install --indep
	# copy documentation from source directory because it is not installed by default
	mkdir -p debian/tmp/usr/share/doc/asn1c-doc/
	cp -v doc/docsrc/*.pdf debian/tmp/usr/share/doc/asn1c-doc/
	rm -f debian/tmp/usr/bin/*.pl
	rm -f debian/tmp/usr/share/doc/asn1c/COPYING
	rm -f debian/tmp/usr/share/doc/asn1c/ChangeLog

override_dh_auto_install-arch:
	dh_auto_install --arch
	rm -f debian/tmp/usr/bin/*.pl
	rm -f debian/tmp/usr/share/doc/asn1c/COPYING
	rm -f debian/tmp/usr/share/doc/asn1c/ChangeLog

=== debian/watch ===
# watch control file for uscan
#https://github.com/vlm/asn1c/archive/v(.+).tar.gz debian uupdate
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=gz,\
dversionmangle=s/[\+\.]dfsg\d*//,\
filenamemangle=s/(?:.*)?v(\d[\d\.]*)\.tar\.gz/asn1c-$1.tar.gz/ \
 https://github.com/vlm/asn1c/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
